# Perform a Mass Action Performs a mass workflow action on specified Price Grid Items based on filter settings. --- Example: Approves only products where activePrice = 250. json { "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"activePrice", "operator":"equals", "value":250 } ], "workflowAction":"APPROVED", "comment":"Approved." } } --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) Endpoint: POST /pricegridmanager.massaction/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Price Grid that contains items you want to apply workflow actions to. ## Request fields (application/json): - `data` (object, required) - `data._constructor` (string, required) - `data.operator` (string, required) - `data.criteria` (array, required) Specify the criteria for which you want to filter the data. - `data.criteria.fieldName` (string, required) Specify columns (fields) you want to apply the workflow action to. - `data.criteria.operator` (string, required) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (number, required) Specify the value of the field. - `data.workflowAction` (string) Specify the workflow action you want to perform. Enum: "SUBMITTED", "WITHDRAWN", "APPROVED", "DENIED" - `data.comment` (string, required) Enter the comment. Only for Approve and Deny actions. - `data.itemAction` (string) Specify the item action you want to perform. Enum: "recalculate", "edit" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (any) - `response.status` (number)